Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::ObjectSignals Class Reference

Abstract base class that implements the virtual signal handlers for Atk::Object. More...

`#include <xfc/atk/objectsignals.hh>`

Inheritance diagram for Xfc::Atk::ObjectSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_children_changed (unsigned int change_index, void *changed_child)
    Called when the number of children of the object changes.
- virtual void on_focus_event (bool focus_in)
    Called when there is a focus event for an object.
- virtual void on_property_change (AtkPropertyValues *values)
    Called when the value of an object property changes.
- virtual void on_state_change (const String &name, bool state_set)
    Called when the state of an object changes.
- virtual void on_visible_data_changed ()
    Called when there is a change in the visible data for an object.
- virtual void on_active_descendant_changed (void **child)
    Called when there is a change in the 'active' child or children of the object, for instance when interior focus changes in a table or list.

## Protected Member Functions

Constructors

- ObjectSignals (Object *object)
    Constructs a new ObjectSignals object.
- virtual ~ObjectSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Atk::Object.

## Constructor & Destructor Documentation

Xfc::Atk::ObjectSignals::ObjectSignals | ( | Object * | object | ) | `[protected]`

Constructs a new ObjectSignals object.

Parameters:

  | object | An Atk::Object inheriting the Atk::ObjectSignals implementation.

Reimplemented from Xfc::G::ObjectSignals.

## Member Function Documentation

virtual void Xfc::Atk::ObjectSignals::on_active_descendant_changed | ( | void ** | child | ) | `[virtual]`

Called when there is a change in the 'active' child or children of the object, for instance when interior focus changes in a table or list.

Parameters:

  | child | The newly focused object.

virtual void Xfc::Atk::ObjectSignals::on_children_changed | ( | unsigned int | change_index,
|  | void * | changed_child
| ) | `[virtual]`

Called when the number of children of the object changes.

Parameters:

  | change_index | The index of the added or removed child.
  | changed_child | The child which was added or removed.

The children_changed signal supports two details, "add" and "remove" which indicate whether a child was added or removed.

virtual void Xfc::Atk::ObjectSignals::on_focus_event | ( | bool | focus_in | ) | `[virtual]`

Called when there is a focus event for an object.

Parameters:

  | focus_in | Indicates whether or not the focus event is is or out.

virtual void Xfc::Atk::ObjectSignals::on_property_change | ( | AtkPropertyValues * | values | ) | `[virtual]`

Called when the value of an object property changes.

Parameters:

  | values | The new value of the property which changed.

virtual void Xfc::Atk::ObjectSignals::on_state_change | ( | const String & | name,
|  | bool | state_set
| ) | `[virtual]`

Called when the state of an object changes.

Parameters:

  | name | The name of the state which has changed.
  | state_set | Indicates whether the state has been set or unset.

This signal supports any of the accessible state types.

The documentation for this class was generated from the following file:

- libXFCui/xfc/atk/objectsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3